Requirements
============
 -- CMake 2.6.0 or later
 -- Qt 4.5.2 or later
 -- OpenBabel 2.2.2 or later
 -- Eigen 2.0.3 or later


Basic Installation
==================
These instructions give a very basic overview of how to configure, compile and
install Avogadro on most systems.  If you are using unique install locations
and/or libraries are not automatically detected please consult the 'Advanced'
section.

1. Create a 'build' directory in the package source directory.

   mkdir build
   cd build

2. Configure the build system

   cmake ../

3. Compile

   make -j2

4. Install

   sudo make install


Advanced
========
The build system (CMake) provides mechanisms for specifying non-standard
installation locations.

   -DCMAKE_INSTALL_PREFIX : specify the installation prefix
                            (default /usr/local)

   -DLIB_INSTALL_DIR : specify the install location for libraries
                       (default ${CMAKE_INSTALL_PREFIX}/lib)

   -DOPENBABEL2_LIBRARIES : specify the OpenBabel2 libraries

   -DOPENBABEL2_INCLUDE_DIR : specify the OpenBabel2 include directory

   -DEIGEN2_INCLUDE_DIR : specify the Eigen include directory

   -DENABLE_PYTHON : specify whether to build Boost.Python interpreter
                    (default = TRUE)

   -DENABLE_UPDATE_CHECKER : Enable checking for new Avogadro versions over the
                             network - Linux distributions may want to disable.

For more information please consult the CMake documentation.

Avogadro uses a few environment variables to find things at runtime. If Avogadro
is installed to the location specified at compile time none of these variables
need to be set.

AVOGADRO_TRANSLATIONS - the location of the translation files.
